# 32/64bit spec
#
%define major 1
%define spymajor 0
%define libname %mklibname pcsclite %{major}
%define develname %mklibname pcsclite -d

Summary:	M.U.S.C.L.E. PC/SC Framework for Linux
Summary(de):	M.U.S.C.L.E. PC/SC Framework für Linux
Name:		pcsc-lite
Version:	1.8.23
Release:	%mkrel 1
License:	BSD-like
Group:		System/Servers
URL:		http://pcsclite.alioth.debian.org
Source0:	https://alioth.debian.org/frs/download.php/3598/pcsc-lite-%{version}.tar.xz
Source1:	pcscd.script

BuildRequires:	chkconfig
BuildRequires:	doxygen 
BuildRequires:	udev-devel

Requires(pre):	rpm-helper
Requires:	rpm-helper
Requires:	%{libname} = %{version}

%description
pcscd is the daemon program for PC/SC Lite. It is a resource 
manager that coorinates communications with Smart Card readers and Smart 
Cards that are connected to the system.

The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a 
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R)

This package was tested to work with A.E.T. Europe SafeSign. This
package is supported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%description -l de
pcscd ist der Dienst für PC/SC Lite. Es ist eine Ressourcenverwaltung, die
die Kommunikation mit Smart Card Lesegeräten und Smart Cards, die an das 
System angeschlossen sind, koordiniert.

Der Nutzen von PC/SC Lite ist es eine Windows(R) SCard Schnittstelle in 
einem kleine Formfaktor für die Kommunikation mit Chipkarten und Lesern 
zu bieten. PC/SC Lite nutzt die selbe wincard api, wie sie unter Windows(R)
genutzt wird.

%package -n	%{libname}
Summary:	Muscle PCSC Framework for Linux libraries
Summary(de):	M.U.S.C.L.E PC/SC Framework Bibliotheken für Linux
Group:		System/Libraries
Provides:	libpcsclite%{major} = %{version}-%{release}

%description -n	%{libname}
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R).

The %{name}-devel package contains the header files and libraries
needed for compiling PCSC Lite programs. If you want to develop PCSC Lite-aware
programs, you'll need to install this package.

This package was tested to work with A.E.T. Europe B.V. SafeSign. This
package is suported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%description -n	%{libname} -l de
pcscd ist der Dienst für PC/SC Lite. Es ist eine Ressourcenverwaltung, die
die Kommunikation mit Smart Card Lesegeräten und Smart Cards, die an das 
System angeschlossen sind, koordiniert.

Dieses Paket enthält die Laufzeitbibliotheken für PC/SC lite.

%package -n	%{develname}
Summary:	Muscle PCSC Framework for Linux development files
Summary(de):	M.U.S.C.L.E PC/SC Framework Entwicklerdateien für Linux
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libpcsclite-devel = %{version}-%{release}
Obsoletes:	%mklibname -d pcsclite 1
Conflicts:	%mklibname -d pcsclite 0
Obsoletes:	%{_lib}pcsclite-static-devel

%description -n	%{develname}
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R).

The %{name}-devel package contains the header files and libraries
needed for compiling PCSC Lite programs. If you want to develop PCSC Lite-aware
programs, you'll need to install this package.

This package was tested to work with A.E.T. Europe B.V. SafeSign. This
package is suported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%description -n	%{develname} -l de
pcscd ist der Dienst für PC/SC Lite. Es ist eine Ressourcenverwaltung, die
die Kommunikation mit Smart Card Lesegeräten und Smart Cards, die an das 
System angeschlossen sind, koordiniert.

Das %{name}-devel Paket enthält die Headerdateien und Bibliotheken, die 
gebraucht werden, um PC/SC lite Programme  zu kompilieren. Wenn Sie 
PC/SC Lite Programme entwickeln wollen, werden Sie dieses Paket benötigen.

%package	doc
Summary:	PC/SC Lite developer documentation
Summary(de):	PC/SC Lite Entwicklerdokumentation
Group:		Books/Computer books
BuildArch:	noarch
Requires:	%{libname} = %{version}

%description	doc
%{summary}.

%description doc -l de
Entwicklerdokumentation für das PC/SC Lite Framework.


%prep
%setup -q

%build
%serverbuild
%configure2_5x --disable-static --disable-libsystemd \
   --enable-ipcdir=%{_localstatedir}/run \
   --enable-usbdropdir=%{_libdir}/pcsc/drivers 
%make
doxygen doc/doxygen.conf; rm -f doc/api/*.{map,md5}

%install
%makeinstall_std

mkdir -p %{buildroot}/%{_initrddir}
cp %SOURCE1 %{buildroot}/%{_initrddir}/pcscd

rm -f %{buildroot}/%{_libdir}/*.la

# Create empty directories
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/reader.conf.d
mkdir -p $RPM_BUILD_ROOT%{_libdir}/pcsc/drivers


%post
%_post_service pcscd

%preun
%_preun_service pcscd      


%files
%doc AUTHORS DRIVERS HELP INSTALL NEWS README SECURITY
%doc doc/README.DAEMON
%dir %{_sysconfdir}/reader.conf.d/
%dir %{_libdir}/pcsc/drivers/
%attr(755,root,root) %{_initrddir}/pcscd
%{_mandir}/*/*
%{_sbindir}/*
%{_bindir}/pcsc-spy

%files -n %{libname}
%doc COPYING
%{_libdir}/libpcsc*.so.%{major}*
%{_libdir}/libpcscspy.so.%{spymajor}*

%files -n %{develname}
%doc ChangeLog
%{_libdir}/pkgconfig/* 
%{_includedir}/*
%{_libdir}/*.so

%files doc
%doc doc/api/ doc/example/pcsc_demo.c


%changelog
* Wed Feb 28 2018 bb2 <bb2> - 1.8.23-1pclos2018
- new version

* Sat Dec 31 2016 ghostbunny <ghostbunny at gmx dot de> 1.8.20-1pclos2017
- 1.8.20

* Sun Dec 18 2016 ghostbunny <ghostbunny at gmx dot de> 1.8.19-1pclos2016
- 1.8.19

* Fri Aug 19 2016 ghostbunny <ghostbunny at gmx dot de> 1.8.18-1pclos2016
- 1.8.18

* Sat Jun 04 2016 ghostbunny <ghostbunny at gmx dot de> 1.8.17-1pclos2016
- 1.8.17

* Sun Mar 20 2016 ghostbunny <ghostbunny at gmx dot de> 1.8.16-1pclos2016
- 1.8.16

* Tue Dec 29 2015 ghostbunny <ghostbunny at gmx dot de> 1.8.15-1pclos2016
- 1.8.15

* Fri Aug 07 2015 ghostbunny <ghostbunny at gmx dot de> 1.8.14-1pclos2015
- 1.8.14

* Tue May 12 2015 ghostbunny <ghostbunny at gmx dot de> 1.8.13-1pclos2015
- 1.8.13

* Wed Sep 24 2014 ghostbunny <ghostbunny at gmx dot de> 1.8.12-1pclos2014
- 1.8.12

* Mon Feb 17 2014 ghostbunny <ghostbunny at gmx dot de> 1.8.11-1pclos2014
- 1.8.11

* Thu Nov 07 2013 ghostbunny <ghostbunny at gmx dot de> 1.8.10-1pclos2013
- 1.8.10

* Sat Oct 19 2013 ghostbunny <ghostbunny at gmx dot de> 1.8.9-1pclos2013
- 1.8.9
- added German summaries and descriptions

* Sun May 12 2013 ghostbunny <ghostbunny at gmx dot de> 1.8.8-1pclos2013
- 1.8.8

* Fri Oct 07 2011 Texstar <texstar at gmail.com> 1.7.4-1pclos2011
- 1.7.4
